<template>
  <v-dialog
    v-model="open"
    transition="dialog-top-transition"
    max-width="35rem"
    persistent
    @keydown.esc="resetDialog"
  >
    <v-card class="pt-2 pb-6">
      <toolbar
        :title="'Excluir registro?'"
        :description-btn="'Confirmar'"
        @save="save"
        @resetDialog="$emit('close')"
      />
    </v-card>
  </v-dialog>
</template>
<script>
import Toolbar from '../../../components/toolbar/index.vue'
export default {
  components: {
    Toolbar
  },
  props: {
    open: {
      type: Boolean,
      default: false
    },
    id: {
      type: String,
      default: ''
    }
  },

  methods: {
    save() {
      this.$store.dispatch('actionDelete', this.id).then(() => {
        this.$emit('freshList')
        this.$emit('close')
        this.createAlert('success', 'Desenvolvedor removido!')
      })
    }
  }
}
</script>
